Subject: Bug in the Yao smap patch - SPECIALDOMAIN section

From: Paul Dunphy <[email-masked]>
Date: Fri, 06 Oct 2000 09:26:44 -0400

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

FYI, there is a bug in the SPECIALDOMAIN section Joe Yao's smap patch (i.e. 
it only shows up if you define SPECIALDOMAIN when you compile the patched 
version of smap). Although Mr. Yao does not recommend using this feature 
(see below), I thought I would mention it in case anyone else experiences 
problems with it. Please see the message below for details.

Cheers...
Paul

>Date: Thu, 5 Oct 2000 19:54:37 -0400
>From: Joseph S D Yao <[email-masked]>
>To: Paul Dunphy <[email-masked]>
>Cc: Joseph S D Yao <[email-masked]>
>Subject: Re: Bug in the smap patch?
>X-Mailer: Mutt 1.0i
>
>On Thu, Oct 05, 2000 at 04:14:10PM -0400, Paul Dunphy wrote:
> > Dear Mr. Yao,
> >
> > I've just applied both of your smap patches to smap V2.1 (i.e. the
> > "regular" and EHLO patches). The patches applied OK, and I was able to
> > re-compile smap (after adding an -lresolv to Makefile.config), but 
> whenever
> > I tried to send it mail, it would simply close the connection immediately
> > after the RCPT TO:<xxx> line was received.
> >
> > I did some digging, and found what I think is a bug in the code: line 1469
> > of my patched smap code read
> >       if(!checkvalid(q)) {
> >
> > It appears, however, that checkvalid should have been called with two
> > arguments, namely
> >       if(!checkvalid(q, cfp)) {
> >
> > Once I made this change, everything worked correctly.
> >
> > I just thought I would mention this in case anyone else is having the same
> > problem. FYI, I downloaded my patch from
> > http://www.fwtk.org/fwtk/patches/yao-smap.pch, and the system on which 
> I am
> > running smap is a Red Hat 6.2 Linux box with kernel 2.2.16-3.
> >
> > Hope this information is helpful,
> > Paul
> >
> > (P.S. Otherwise an excellent patch, and very well-documented - many thanks
> > for your efforts!)
>
>
>Good point.  If you send that to the list, I would hope that it would
>appear in the patch list or FAQ!  It was hard to fix this already-
>highly-patched code, with all the #ifdef's.  That particular line is in
>a section that I highly recommend to everyone that they NOT use: ifdef
>SPECIALDOMAIN.  Instead, use the host/domain features.  (I may have
>been intending to remove the SPECIALDOMAIN section.)
>
>You may include this note if you wish.
>
>--
>Joe Yao                         [email-masked] - Joseph S. D. Yao
>COSPO/OSIS Computer Support                                     EMT-B
>-----------------------------------------------------------------------
>This message is not an official statement of COSPO policies.

---------------------------------------------------------------------
Paul T. Dunphy, P.Eng.
Systems Administrator/Research Engineer
Centre for the Study of Commercial Activity
Ryerson Polytechnic University
Toronto, Ontario, CANADA
Phone: (416) 979-5000 ext. 7537
Fax: (416) 979-5378
E-mail: [email-masked]